/*
 * Copyright (C) 2023  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANTKEEPER_GL_HPP
#define ANTKEEPER_GL_HPP

/// Graphics library interface.
namespace gl {}

#include <engine/gl/buffer-usage.hpp>
#include <engine/gl/color-space.hpp>
#include <engine/gl/drawing-mode.hpp>
#include <engine/gl/element-array-type.hpp>
#include <engine/gl/framebuffer.hpp>
#include <engine/gl/pixel-format.hpp>
#include <engine/gl/pixel-type.hpp>
#include <engine/gl/rasterizer.hpp>
#include <engine/gl/shader-input.hpp>
#include <engine/gl/shader-object.hpp>
#include <engine/gl/shader-program.hpp>
#include <engine/gl/shader-stage.hpp>
#include <engine/gl/shader-variable-type.hpp>
#include <engine/gl/texture-2d.hpp>
#include <engine/gl/texture-cube.hpp>
#include <engine/gl/texture-filter.hpp>
#include <engine/gl/texture-wrapping.hpp>
#include <engine/gl/vertex-array.hpp>
#include <engine/gl/vertex-attribute.hpp>
#include <engine/gl/vertex-buffer.hpp>

#endif // ANTKEEPER_GL_HPP
